# Uses of Class
org.picocontainer.PicoException

Packages that use PicoException
Package
Description
org.picocontainer
This package contains the core API for PicoContainer, a compact container for working with the dependency injection pattern.
org.picocontainer.classname
org.picocontainer.containers
Containers are the main user entry point for PicoContainer.
org.picocontainer.injectors
InjectionFactories make Injectors which implement specific types of dependency injection
org.picocontainer.lifecycle
Alternative implementations of lifecycle strategy for use with a container.
org.picocontainer.monitors
A Monitor is something PicoContainer uses to inform on events in component instantiation and lifecycle.
org.picocontainer.parameters
org.picocontainer.visitors

## Uses of PicoException in org.picocontainer

Subclasses of PicoException in org.picocontainer
Modifier and Type
Class
Description
`class`
`PicoClassNotFoundException`
`class`
`PicoCompositionException`
Subclass of `PicoException` that is thrown when there is: - a problem initializing the container - a cyclic dependency between components occurs.
`class`
`PicoLifecycleException`
`class`
`PicoVerificationException`
Subclass of `PicoException` that is thrown when a `PicoContainer` hierarchy cannot be verified.
Methods in org.picocontainer that throw PicoException
Modifier and Type
Method
Description
`List<Object>`
DefaultPicoContainer.`getComponents()`

## Uses of PicoException in org.picocontainer.classname

Methods in org.picocontainer.classname that throw PicoException
Modifier and Type
Method
Description
`final Object`
DefaultClassLoadingPicoContainer.`getComponent(Object componentKeyOrType)`

## Uses of PicoException in org.picocontainer.containers

Methods in org.picocontainer.containers that throw PicoException
Modifier and Type
Method
Description
`<T> List<T>`
AbstractDelegatingPicoContainer.`getComponents(Class<T> type)`

## Uses of PicoException in org.picocontainer.injectors

Subclasses of PicoException in org.picocontainer.injectors
Modifier and Type
Class
Description
`static final class`
`AbstractInjector.AmbiguousComponentResolutionException`
Exception that is thrown as part of the introspection.
`static class`
`AbstractInjector.CyclicDependencyException`
`static class`
`AbstractInjector.NotConcreteRegistrationException`
`static class`
`AbstractInjector.UnsatisfiableDependenciesException`
Exception thrown when some of the component's dependencies are not satisfiable.
`static class`
`SingleMemberInjector.ParameterCannotBeNullException`

## Uses of PicoException in org.picocontainer.lifecycle

Subclasses of PicoException in org.picocontainer.lifecycle
Modifier and Type
Class
Description
`class`
`ReflectionLifecycleException`
Subclass of `PicoException` that is thrown when there is a problem invoking lifecycle methods via reflection.

## Uses of PicoException in org.picocontainer.monitors

Subclasses of PicoException in org.picocontainer.monitors
Modifier and Type
Class
Description
`final class`
`LifecycleComponentMonitor.LifecycleFailuresException`
Subclass of `PicoException` that is thrown when the collected lifecycle failures need to be be collectively rethrown.

## Uses of PicoException in org.picocontainer.parameters

Methods in org.picocontainer.parameters that throw PicoException
Modifier and Type
Method
Description
`void`
ConstantParameter.`verify(PicoContainer container, ComponentAdapter<?> adapter, Type expectedType, NameBinding expectedNameBinding, boolean useNames, Annotation binding)`
Verify that the Parameter can satisfy the expected type using the container

## Uses of PicoException in org.picocontainer.visitors

Subclasses of PicoException in org.picocontainer.visitors
Modifier and Type
Class
Description
`static class`
`AbstractPicoVisitor.PicoVisitorTraversalException`
Exception for a PicoVisitor, that is dependent on a defined starting point of the traversal.